Bug 857640 - [abrt] livecd-tools-17.14-1.fc17: live.py:716:__get_efi_image_stanza:AttributeError: 'x86LiveImageCreator' object has no attribute '_isDracut'
[abrt] livecd-tools-17.14-1.fc17: live.py:716:__get_efi_image_stanza:Attribut...
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-09-15 07:47 EDT by Frank Büttner
Modified: 2013-07-10 15:10 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-10 15:10:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: core_backtrace (884 bytes, text/plain)
2012-09-15 07:47 EDT, Frank Büttner
no flags Details
the used kickstart file (1.07 KB, text/plain)
2012-09-15 07:49 EDT, Frank Büttner
no flags Details

  None (edit)
Description Frank Büttner 2012-09-15 07:47:14 EDT
Description of problem:

Version-Release number of selected component:

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
cmdline:        /usr/bin/python -tt /usr/bin/livecd-creator -c kickstart.cfg -f THW -v
kernel:         3.5.3-1.fc17.x86_64

:live.py:716:__get_efi_image_stanza:AttributeError: 'x86LiveImageCreator' object has no attribute '_isDracut'
:Traceback (most recent call last):
:  File "/usr/bin/livecd-creator", line 221, in <module>
:    sys.exit(main())
:  File "/usr/bin/livecd-creator", line 205, in main
:    creator.configure()
:  File "/usr/lib/python2.7/site-packages/imgcreate/creator.py", line 732, in configure
:    self._create_bootconfig()
:  File "/usr/lib/python2.7/site-packages/imgcreate/live.py", line 245, in _create_bootconfig
:    self._configure_bootloader(self.__ensure_isodir())
:  File "/usr/lib/python2.7/site-packages/imgcreate/live.py", line 784, in _configure_bootloader
:    self._configure_efi_bootloader(isodir)
:  File "/usr/lib/python2.7/site-packages/imgcreate/live.py", line 764, in _configure_efi_bootloader
:    cfg += self.__get_efi_image_stanzas(isodir, self.name)
:  File "/usr/lib/python2.7/site-packages/imgcreate/live.py", line 742, in __get_efi_image_stanzas
:    extra = "", index = index)
:  File "/usr/lib/python2.7/site-packages/imgcreate/live.py", line 716, in __get_efi_image_stanza
:    if self._isDracut:
:AttributeError: 'x86LiveImageCreator' object has no attribute '_isDracut'
:Local variables in innermost frame:
:self: <imgcreate.live.x86LiveImageCreator object at 0x2d02350>
:args: {'index': 0, 'extra': '', 'long': 'THW', 'isofstype': 'auto', 'fslabel': 'THW', 'liveargs': 'ro liveimg quiet '}
Comment 1 Frank Büttner 2012-09-15 07:47:17 EDT
Created attachment 613244 [details]
File: core_backtrace
Comment 2 Frank Büttner 2012-09-15 07:49:14 EDT
Created attachment 613245 [details]
the used kickstart file
Comment 3 Fedora End Of Life 2013-07-03 15:46:22 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.